# Constant Field Values

## uk.ac.*

uk.ac.starlink.ttools.Stilts
Modifier and Type
Constant Field
Value
`public static final String`
`VERSION_RESOURCE`
`"stilts.version"`

uk.ac.starlink.ttools.build.Plot2Notebook
Modifier and Type
Constant Field
Value
`public static final String`
`PLOTSERV_PY_RESOURCE`
`"/uk/ac/starlink/ttools/server/plotserv.py"`
`public static final String`
`PLOTWORDS_FUNC`
`"plot"`

uk.ac.starlink.ttools.calc.SchlegelCalculator
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_URL`
`"http://irsa.ipac.caltech.edu/cgi-bin/DUST/nph-dust?"`

uk.ac.starlink.ttools.cea.ImplementationCeaWriter
Modifier and Type
Constant Field
Value
`public static final String`
`APPLICATION_ID`
`"ivo://uk.ac.starlink/stilts"`
`public static final String`
`SCHEMA_LOCATION`
`"http://software.astrogrid.org/schema/cea/CEAImplementation/v1.0/CEAImplementation.xsd"`
uk.ac.starlink.ttools.cea.ServiceCeaWriter
Modifier and Type
Constant Field
Value
`public static final String`
`SCHEMA_LOCATION`
`"http://software.astrogrid.org/schema/vo-resource-types/CEAService/v0.2/CEAService.xsd"`

uk.ac.starlink.ttools.cone.CdsHealpixUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DFLT_INTERPOLATE_DEPTH`
`5`
uk.ac.starlink.ttools.cone.CdsUploadMatcher
Modifier and Type
Constant Field
Value
`public static final String`
`SIMBAD_NAME`
`"simbad"`
`public static final boolean`
`UPLOAD_EMPTY`
`false`
`public static final String`
`XMATCH_URL`
`"http://cdsxmatch.u-strasbg.fr/xmatch/api/v1/sync"`
uk.ac.starlink.ttools.cone.HealpixTiling
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_LEVEL`
`29`
uk.ac.starlink.ttools.cone.ParallelResultRowSequence
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAXPAR`
`5`
`public static final String`
`MAXPAR_PROP`
`"service.maxparallel"`
uk.ac.starlink.ttools.cone.UrlMocCoverage
Modifier and Type
Constant Field
Value
`public static final String`
`FOOT_SERVICE_URL`
`"http://alasky.u-strasbg.fr/footprints"`

uk.ac.starlink.ttools.filter.GKQuantiler
Modifier and Type
Constant Field
Value
`public static final double`
`DFLT_RANK_ACCURACY`
`1.0E-4`
uk.ac.starlink.ttools.filter.SortQuantiler
Modifier and Type
Constant Field
Value
`public static final int`
`DFLT_BLOCKSIZE`
`16384`
uk.ac.starlink.ttools.filter.TableStats
Modifier and Type
Constant Field
Value
`public static final double`
`MAD_SCALE`
`1.4826`
uk.ac.starlink.ttools.filter.UnivariateStats
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_CARDINALITY`
`100`

uk.ac.starlink.ttools.func.Arrays
Modifier and Type
Constant Field
Value
`public static final String`
`ARRAY_ELEMENT_VARNAME`
`"x"`
`public static final String`
`ARRAY_INDEX_VARNAME`
`"i"`
uk.ac.starlink.ttools.func.CoordsRadians
Modifier and Type
Constant Field
Value
`public static final double`
`ARC_MINUTE_RADIANS`
`2.908882086657216E-4`
`public static final double`
`ARC_SECOND_RADIANS`
`4.84813681109536E-6`
`public static final double`
`DEGREE_RADIANS`
`0.017453292519943295`
`public static final double`
`HOUR_RADIANS`
`0.2617993877991494`
uk.ac.starlink.ttools.func.Coverage
Modifier and Type
Constant Field
Value
`public static final double`
`SPHERE_SQDEG`
`41252.96124941927`
`public static final double`
`SPHERE_STERADIAN`
`12.566370614359172`
uk.ac.starlink.ttools.func.Distances
Modifier and Type
Constant Field
Value
`public static final double`
`METRE_PER_PARSEC`
`3.08567758E16`
`public static final double`
`SEC_PER_YEAR`
`3.15576E7`
`public static final double`
`SPEED_OF_LIGHT`
`2.99792458E8`
uk.ac.starlink.ttools.func.Fluxes
Modifier and Type
Constant Field
Value
`public static final double`
`JOHNSON_AB_B`
`0.163`
`public static final double`
`JOHNSON_AB_Bj`
`0.139`
`public static final double`
`JOHNSON_AB_g`
`0.013`
`public static final double`
`JOHNSON_AB_gPrime`
`0.0`
`public static final double`
`JOHNSON_AB_i`
`0.296`
`public static final double`
`JOHNSON_AB_I`
`-0.309`
`public static final double`
`JOHNSON_AB_Ic`
`-0.342`
`public static final double`
`JOHNSON_AB_iPrime`
`0.0`
`public static final double`
`JOHNSON_AB_r`
`0.226`
`public static final double`
`JOHNSON_AB_R`
`-0.055`
`public static final double`
`JOHNSON_AB_Rc`
`-0.117`
`public static final double`
`JOHNSON_AB_rPrime`
`0.0`
`public static final double`
`JOHNSON_AB_uPrime`
`0.0`
`public static final double`
`JOHNSON_AB_V`
`0.044`
`public static final double`
`JOHNSON_AB_zPrime`
`0.0`
`public static final double`
`VEGA_AB_H`
`-1.39`
`public static final double`
`VEGA_AB_J`
`-0.91`
`public static final double`
`VEGA_AB_K`
`-1.85`
uk.ac.starlink.ttools.func.Gaia
Modifier and Type
Constant Field
Value
`public static final double`
`AU_YRKMS`
`4.740470446`
`public static final double`
`C_KMS`
`299792.458`
`public static final double`
`PC_AU`
`206264.80624709633`
`public static final double`
`PC_YRKMS`
`977792.2180642763`
uk.ac.starlink.ttools.func.Maths
Modifier and Type
Constant Field
Value
`public static final double`
`E`
`2.718281828459045`
`public static final double`
`Infinity`
`1d/0d`
`public static final double`
`NaN`
`0d/0d`
`public static final double`
`PI`
`3.141592653589793`
uk.ac.starlink.ttools.func.Tilings
Modifier and Type
Constant Field
Value
`public static final double`
`SQDEG`
`3.0461741978670857E-4`
uk.ac.starlink.ttools.func.Times
Modifier and Type
Constant Field
Value
`public static final double`
`MJD_OFFSET`
`2400000.5`

uk.ac.starlink.ttools.gui.DocNames
Modifier and Type
Constant Field
Value
`public static final char`
`ARRAY_SUFFIX`
`','`
`public static final char`
`TOKEN_SEPARATOR`
`'-'`

uk.ac.starlink.ttools.jel.JELRowReader
Modifier and Type
Constant Field
Value
`public static final char`
`COLUMN_ID_CHAR`
`'$'`
`public static final String`
`NULL_QUERY_PREFIX`
`"NULL_"`
`public static final String`
`OBJECT_PREFIX`
`"Object$"`
uk.ac.starlink.ttools.jel.JELUtils
Modifier and Type
Constant Field
Value
`public static final String`
`CLASSES_PROPERTY`
`"jel.classes"`
uk.ac.starlink.ttools.jel.StarTableJELRowReader
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_PREFIX`
`"param$"`
`public static final String`
`UCD_PREFIX`
`"ucd$"`
`public static final String`
`UTYPE_PREFIX`
`"utype$"`

uk.ac.starlink.ttools.join.Match1TypeParameter
Modifier and Type
Constant Field
Value
`public static final String`
`ELIMINATE_0`
`"keep0"`
`public static final String`
`ELIMINATE_1`
`"keep1"`
`public static final String`
`IDENTIFY`
`"identify"`
`public static final String`
`WIDE_PREFIX`
`"wide"`
uk.ac.starlink.ttools.join.MatchMapper
Modifier and Type
Constant Field
Value
`public static final String`
`GROUP_MODE`
`"group"`
`public static final String`
`PAIRS_MODE`
`"pairs"`

uk.ac.starlink.ttools.moc.IntegerBag
Modifier and Type
Constant Field
Value
`public static final int`
`DFLT_SETMAX`
`100000`
uk.ac.starlink.ttools.moc.LongBag
Modifier and Type
Constant Field
Value
`public static final int`
`DFLT_SETMAX`
`100000`
uk.ac.starlink.ttools.moc.MocImpl
Modifier and Type
Constant Field
Value
`public static final int`
`BITSET_MAXORDER`
`12`
uk.ac.starlink.ttools.moc.MultiBitSetBag
Modifier and Type
Constant Field
Value
`public static final int`
`DFLT_BANKSIZE`
`16777216`

uk.ac.starlink.ttools.mode.CopyMode
Modifier and Type
Constant Field
Value
`public static final String`
`OUT_PARAM_NAME`
`"out"`

uk.ac.starlink.ttools.plot.Corner
Modifier and Type
Constant Field
Value
`public static final int`
`COUNT`
`8`
uk.ac.starlink.ttools.plot.MarkStyle
Modifier and Type
Constant Field
Value
`public static final int`
`LEGEND_ICON_HEIGHT`
`12`
`public static final int`
`LEGEND_ICON_WIDTH`
`20`
uk.ac.starlink.ttools.plot.PlotSurface
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_COORD`
`1073741823`
uk.ac.starlink.ttools.plot.PtPlotSurface
Modifier and Type
Constant Field
Value
`public static final String`
`PTPLOT_RELEASE`
`"5.2"`
uk.ac.starlink.ttools.plot.Shaders
Modifier and Type
Constant Field
Value
`public static final String`
`LUTFILES_PROPERTY`
`"lut.files"`

uk.ac.starlink.ttools.plot2.LatexCaptioner
Modifier and Type
Constant Field
Value
`public static final float`
`DEFAULT_SIZE`
`16.0f`
`public static final int`
`STYLE_DISPLAY`
`0`
`public static final int`
`STYLE_SCRIPT`
`4`
`public static final int`
`STYLE_SCRIPT_SCRIPT`
`6`
`public static final int`
`STYLE_TEXT`
`2`
`public static final int`
`TYPE_BOLD`
`2`
`public static final int`
`TYPE_ITALIC`
`4`
`public static final int`
`TYPE_ROMAN`
`8`
`public static final int`
`TYPE_SANSSERIF`
`1`
`public static final int`
`TYPE_SERIF`
`0`
`public static final int`
`TYPE_TYPEWRITER`
`16`
uk.ac.starlink.ttools.plot2.PlotPlacement
Modifier and Type
Constant Field
Value
`public static final int`
`PAD`
`2`
uk.ac.starlink.ttools.plot2.PlotUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_PIXELS`
`20`
`public static final short`
`MAX_MARKSIZE`
`100`
`public static final int`
`MIN_RAMP_UNIT`
`12`
`public static final double`
`NEAR_PIXELS`
`4.0`

uk.ac.starlink.ttools.plot2.config.ColorConfigKey
Modifier and Type
Constant Field
Value
`public static final String`
`COLORNAME_BLACK`
`"black"`
`public static final String`
`COLORNAME_GREY`
`"grey"`
`public static final String`
`COLORNAME_LIGHTGREY`
`"light_grey"`
`public static final String`
`COLORNAME_RED`
`"red"`

uk.ac.starlink.ttools.plot2.data.DiskCache
Modifier and Type
Constant Field
Value
`public static final String`
`CACHE_DIRNAME`
`"stilts-cache"`
`public static final String`
`README_NAME`
`"README-cache.txt"`

uk.ac.starlink.ttools.plot2.geom.CubeSurfaceFactory
Modifier and Type
Constant Field
Value
`public static final double`
`ISO_CENTER_TOLERANCE`
`0.1`
uk.ac.starlink.ttools.plot2.geom.MatrixGanger
Modifier and Type
Constant Field
Value
`public static final boolean`
`XDIAG`
`true`
uk.ac.starlink.ttools.plot2.geom.MatrixGangerFactory
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_NCOORD_GUI`
`64`
uk.ac.starlink.ttools.plot2.geom.PlaneAxisAnnotation
Modifier and Type
Constant Field
Value
`public static final boolean`
`INVERT_Y`
`true`

uk.ac.starlink.ttools.plot2.layer.FatMarkerShapes
Modifier and Type
Constant Field
Value
`public static final int`
`IFAT`
`1`
uk.ac.starlink.ttools.plot2.layer.HealpixPlotter
Modifier and Type
Constant Field
Value
`public static final boolean`
`IS_NEST`
`true`
`public static final int`
`MAX_LEVEL`
`29`
uk.ac.starlink.ttools.plot2.layer.LinePlotter
Modifier and Type
Constant Field
Value
`public static final String`
`NOSORT_TXT`
`"None"`
uk.ac.starlink.ttools.plot2.layer.MarkerStyle
Modifier and Type
Constant Field
Value
`public static final int`
`LEGEND_ICON_HEIGHT`
`12`
`public static final int`
`LEGEND_ICON_WIDTH`
`20`
uk.ac.starlink.ttools.plot2.layer.MarkForm
Modifier and Type
Constant Field
Value
`public static final int`
`MIN_LEGEND_SIZE`
`2`
uk.ac.starlink.ttools.plot2.layer.MultiPointForm
Modifier and Type
Constant Field
Value
`public static final int`
`AUTOSCALE_PIXELS`
`32`

uk.ac.starlink.ttools.plot2.task.AbstractPlot2Task
Modifier and Type
Constant Field
Value
`public static final String`
`DOC_ZONE_SUFFIX`
`""`
`public static final String`
`DOMAINMAPPER_SUFFIX`
`"type"`
`public static final String`
`EXAMPLE_LAYER_SUFFIX`
`"N"`
`public static final String`
`EXAMPLE_ZONE_SUFFIX`
`"Z"`
`public static final String`
`LAYER_PREFIX`
`"layer"`
`public static final String`
`ZONE_PREFIX`
`"zone"`
uk.ac.starlink.ttools.plot2.task.PlotContext<P,A>
Modifier and Type
Constant Field
Value
`public static final String`
`GEOM_PARAM_NAME`
`"geom"`
uk.ac.starlink.ttools.plot2.task.PlotDisplay<P,A>
Modifier and Type
Constant Field
Value
`public static final String`
`ASPECTS_PROPERTY`
`"Plot2Aspects"`
uk.ac.starlink.ttools.plot2.task.ShapeFamilyLayerType
Modifier and Type
Constant Field
Value
`public static final String`
`SHADING_PREFIX`
`"shading"`

uk.ac.starlink.ttools.plottask.PlotStateFactory
Modifier and Type
Constant Field
Value
`public static final String`
`AUX_VARIABLE`
`""`
`public static final String`
`SUBSET_VARIABLE`
`"S"`
`public static final String`
`TABLE_VARIABLE`
`"N"`

uk.ac.starlink.ttools.taplint.AdhocCode
Modifier and Type
Constant Field
Value
`public static final int`
`LABEL_LENGTH`
`4`
uk.ac.starlink.ttools.taplint.EpnTapStage
Modifier and Type
Constant Field
Value
`public static final String`
`EPNCORE_TNAME`
`"epn_core"`
uk.ac.starlink.ttools.taplint.IvoaSchemaResolver
Modifier and Type
Constant Field
Value
`public static final String`
`AVAILABILITY_URI`
`"http://www.ivoa.net/xml/VOSIAvailability/v1.0"`
`public static final String`
`CAPABILITIES_URI`
`"http://www.ivoa.net/xml/VOSICapabilities/v1.0"`
`public static final String`
`UWS_URI`
`"http://www.ivoa.net/xml/UWS/v1.0"`
`public static final String`
`VODATASERVICE_URI`
`"http://www.ivoa.net/xml/VODataService/v1.1"`
uk.ac.starlink.ttools.taplint.ObsLocStage
Modifier and Type
Constant Field
Value
`public static final String`
`OBSPLAN_TNAME`
`"ivoa.obsplan"`
uk.ac.starlink.ttools.taplint.TapLinter
Modifier and Type
Constant Field
Value
`public static final String`
`MDQ_NAME`
`"MDQ"`

uk.ac.starlink.ttools.task.TableGroup
Modifier and Type
Constant Field
Value
`public static final char`
`AGGCOL_DELIM`
`';'`
uk.ac.starlink.ttools.task.VariableTablesInput
Modifier and Type
Constant Field
Value
`public static final String`
`NUM_SUFFIX`
`"N"`